# Although there are tests
# the dependancies aren't in Fedora yet
%global enable_tests 0
%global npm_name mysql

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       A pure node.js JavaScript Client implementing the MySQL protocol
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       2.0.0
Release:       alpha9.1%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/felixge/node-mysql
# Alpha 8 is marked as stable, but cannot be part of the version
# Be sure to change this version when updating to something higher
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-2.0.0-alpha9.tgz
BuildRequires: %{?scl_prefix}nodejs-devel
%if 0%{?enable_tests}
BuildRequires:  %{?scl_prefix}npm(underscore)
BuildRequires:  %{?scl_prefix}npm(urun)
BuildRequires:  %{?scl_prefix}npm(utest)
%endif
BuildArch:     noarch

%description
A pure node.js JavaScript Client implementing the MySQL protocol
(http://forge.mysql.com/wiki/MySQL_Internals_ClientServer_Protocol).

%prep
%setup -q -n package
%nodejs_fixdep require-all '>=0.0.3'
%nodejs_fixdep bignumber.js '>=1.0.1'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr benchmark index.js lib Makefile package.json test tool %{buildroot}%{nodejs_sitelib}/%{npm_name}

%if 0%{?enable_tests}
%check
make test
%endif

%files
%doc Changes.md License Readme.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Tue Sep 03 2013 Troy Dawson <tdawson@redhat.com> - 2.0.0-alpha9.1
- Update to alpha9
- fixdep bignumber.js

* Mon Aug 05 2013 Troy Dawson <tdawson@redhat.com> - 2.0.0-alpha8.2
- Add support for software collections

* Tue May 21 2013 Troy Dawson <tdawson@redhat.com> - 2.0.0-alpha8.1
- Initial build

